<tagfile>
  <compound kind="page">
    <filename>main</filename>
    <title>Hyperion Pattern</title>
    <name>main</name>
    <docanchor>Project</docanchor>
    <docanchor>Intro</docanchor>
    <docanchor>Acknowledgements</docanchor>
  </compound>
  <compound kind="file">
    <name>hyp.initguid.h</name>
    <path>d:/private/hyperion/hyperion/src/hypcore/</path>
    <filename>hyp_8initguid_8h.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>hyp_DEFINE_GUID</name>
      <anchor>a0</anchor>
      <arglist>(name, data1, data2, data3, data4_0, data4_1, data4_2, data4_3, data4_4, data4_5, data4_6, data4_7)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>hyp.kernel.core.h</name>
    <path>d:/private/hyperion/hyperion/src/hypcore/</path>
    <filename>hyp_8kernel_8core_8h.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>hyp_KERNEL_CORE_INSIDE</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>hyp.kernel.h</name>
    <path>d:/private/hyperion/hyperion/src/hypcore/</path>
    <filename>hyp_8kernel_8h.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>hyp_KERNEL_INSIDE</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>hyp.kernel.std.h</name>
    <path>d:/private/hyperion/hyperion/src/hypcore/</path>
    <filename>hyp_8kernel_8std_8h.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>hyp_KERNEL_STD_INSIDE</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>hypstd_TRACE</name>
      <anchor>a1</anchor>
      <arglist>(Args)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>hyp.type.h</name>
    <path>d:/private/hyperion/hyperion/src/hypcore/</path>
    <filename>hyp_8type_8h.html</filename>
    <class kind="class">CFlag</class>
    <class kind="class">TArray</class>
    <member kind="define">
      <type>#define</type>
      <name>hyp_USE_DOUBLE</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>int</type>
      <name>t_label</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned int</type>
      <name>t_size</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned short int</type>
      <name>t_ushort</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned char</type>
      <name>t_uchar</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned long int</type>
      <name>t_ulong</name>
      <anchor>a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned int</type>
      <name>t_uint</name>
      <anchor>a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>double</type>
      <name>t_real</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TArray&lt; t_real &gt;</type>
      <name>t_real_array</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TArray&lt; bool &gt;</type>
      <name>t_mask_array</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TArray&lt; t_label &gt;</type>
      <name>t_label_array</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::vector&lt; t_label &gt;</type>
      <name>t_label_enum</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>signed __int64</type>
      <name>t_int64</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>t_int64</type>
      <name>GetInt64</name>
      <anchor>a1</anchor>
      <arglist>(t_uint High, t_uint Low)</arglist>
    </member>
    <member kind="function">
      <type>t_uint</type>
      <name>GetHighInt64</name>
      <anchor>a2</anchor>
      <arglist>(t_int64)</arglist>
    </member>
    <member kind="function">
      <type>t_uint</type>
      <name>GetLowInt64</name>
      <anchor>a3</anchor>
      <arglist>(t_int64)</arglist>
    </member>
    <member kind="function">
      <type>std::ostream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchor>a4</anchor>
      <arglist>(std::ostream &amp;, const t_int64 &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CCmdInfo</name>
    <filename>classCCmdInfo.html</filename>
    <base>CCmdInfoData&lt; CCmdInfoLabelEnum &gt;</base>
    <member kind="function">
      <type></type>
      <name>CCmdInfo</name>
      <anchor>a0</anchor>
      <arglist>(int, char **, char=&apos;-&apos;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>GetSize</name>
      <anchor>a1</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CCmdInfoLabelEnum</type>
      <name>GetValue</name>
      <anchor>a2</anchor>
      <arglist>(int) const</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>GetModuleFileName</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>GetModulePath</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>GetModuleName</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>GetLineOfParameters</name>
      <anchor>a6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend std::ostream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchor>l0</anchor>
      <arglist>(std::ostream &amp;,const CCmdInfo &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CCmdInfoArg</name>
    <filename>classCCmdInfoArg.html</filename>
    <member kind="function" protection="public" static="yes">
      <type>void</type>
      <name>SetArg</name>
      <anchor>e0</anchor>
      <arglist>(int Argc, char **Argv)</arglist>
    </member>
    <member kind="variable" protection="public" static="yes">
      <type>int</type>
      <name>m_Argc</name>
      <anchor>q0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public" static="yes">
      <type>char **</type>
      <name>m_Argv</name>
      <anchor>q1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CCmdInfoData</name>
    <filename>classCCmdInfoData.html</filename>
    <templarg>T</templarg>
    <base protection="protected">CCmdInfoArg</base>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>GetSize</name>
      <anchor>a0</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual T</type>
      <name>GetValue</name>
      <anchor>a1</anchor>
      <arglist>(int) const=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CCmdInfoLabel</name>
    <filename>classCCmdInfoLabel.html</filename>
    <base>CCmdInfoData&lt; std::string &gt;</base>
    <member kind="function">
      <type></type>
      <name>CCmdInfoLabel</name>
      <anchor>a0</anchor>
      <arglist>(int=0, int=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>GetSize</name>
      <anchor>a1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual std::string</type>
      <name>GetValue</name>
      <anchor>a2</anchor>
      <arglist>(int) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Get</name>
      <anchor>a3</anchor>
      <arglist>(T &amp;Value, int Pos) const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CCmdInfoLabelEnum</name>
    <filename>classCCmdInfoLabelEnum.html</filename>
    <base>CCmdInfoData&lt; CCmdInfoLabel &gt;</base>
    <member kind="function">
      <type></type>
      <name>CCmdInfoLabelEnum</name>
      <anchor>a0</anchor>
      <arglist>(const std::string &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>GetSize</name>
      <anchor>a1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CCmdInfoLabel</type>
      <name>GetValue</name>
      <anchor>a2</anchor>
      <arglist>(int) const</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>GetLabelName</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CComException</name>
    <filename>classCComException.html</filename>
    <base>CException</base>
    <member kind="function">
      <type></type>
      <name>CComException</name>
      <anchor>a0</anchor>
      <arglist>(com_result=com_false, const char *=ms_DefaultMessage)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CComException</name>
      <anchor>a1</anchor>
      <arglist>(const CComException &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual std::string</type>
      <name>What</name>
      <anchor>a2</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual std::string</type>
      <name>Type</name>
      <anchor>a3</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchor>a4</anchor>
      <arglist>(const com_result &amp;Result) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchor>a5</anchor>
      <arglist>(const com_result &amp;Result) const</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>operator com_result</name>
      <anchor>a6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>com_result</type>
      <name>GetResult</name>
      <anchor>a7</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>Failed</name>
      <anchor>a8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>Succeeded</name>
      <anchor>a9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>GetResultDescription</name>
      <anchor>a10</anchor>
      <arglist>(void) const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CDir</name>
    <filename>classCDir.html</filename>
    <member kind="function">
      <type></type>
      <name>CDir</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~CDir</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>Search</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Rewind</name>
      <anchor>a3</anchor>
      <arglist>(const std::string &amp;=&quot;*&quot;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Open</name>
      <anchor>a4</anchor>
      <arglist>(const std::string &amp;, bool=false)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>IsSubDir</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>IsInDir</name>
      <anchor>a6</anchor>
      <arglist>(const std::string &amp;, bool=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>CreateFile</name>
      <anchor>a7</anchor>
      <arglist>(const std::string &amp;) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>DeleteFile</name>
      <anchor>a8</anchor>
      <arglist>(const std::string &amp;) const</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>GetPath</name>
      <anchor>a9</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CDllUtility</name>
    <filename>classCDllUtility.html</filename>
  </compound>
  <compound kind="class">
    <name>CException</name>
    <filename>classCException.html</filename>
    <member kind="function">
      <type></type>
      <name>CException</name>
      <anchor>a0</anchor>
      <arglist>(const char *=ms_DefaultMessage)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CException</name>
      <anchor>a1</anchor>
      <arglist>(const CException &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual std::string</type>
      <name>What</name>
      <anchor>a2</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual std::string</type>
      <name>Type</name>
      <anchor>a3</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="variable" protection="public">
      <type>std::string</type>
      <name>m_Doc</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public" static="yes">
      <type>const char *</type>
      <name>ms_DefaultMessage</name>
      <anchor>q0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CFactory</name>
    <filename>classCFactory.html</filename>
    <base>IClassFactory</base>
    <member kind="function">
      <type></type>
      <name>CFactory</name>
      <anchor>a0</anchor>
      <arglist>(const CFactoryData *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~CFactory</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual com_result</type>
      <name>CreateInstance</name>
      <anchor>a5</anchor>
      <arglist>(IUnknown *, const hypIID &amp;iid, void **)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual com_result</type>
      <name>LockServer</name>
      <anchor>a6</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual com_result</type>
      <name>QueryInterface</name>
      <anchor>a2</anchor>
      <arglist>(const hypIID &amp;, void **)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual t_ulong</type>
      <name>AddRef</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual t_ulong</type>
      <name>Release</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>com_result</type>
      <name>GetClassObject</name>
      <anchor>d0</anchor>
      <arglist>(const hypCLSID &amp;, const hypIID &amp;, void **)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>bool</type>
      <name>IsLocked</name>
      <anchor>d1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>com_result</type>
      <name>RegisterAll</name>
      <anchor>d2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>com_result</type>
      <name>UnregisterAll</name>
      <anchor>d3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>com_result</type>
      <name>CanUnloadNow</name>
      <anchor>d4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>InitStaticMembers</name>
      <anchor>d5</anchor>
      <arglist>(const CFactoryData *, int, const std::string &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CFactoryData</name>
    <filename>classCFactoryData.html</filename>
    <member kind="typedef">
      <type>com_result(*</type>
      <name>PTR_CREATEINSTANCE</name>
      <anchor>s0</anchor>
      <arglist>)(IUnknown *, CUnknown **)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CFactoryData</name>
      <anchor>a0</anchor>
      <arglist>(const hypCLSID *pCLSID, PTR_CREATEINSTANCE CreateInstance, const std::string &amp;ComponentName)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CFactoryData</name>
      <anchor>a1</anchor>
      <arglist>(const CFactoryData &amp;aFactoryData)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~CFactoryData</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>IsClassID</name>
      <anchor>a3</anchor>
      <arglist>(const hypCLSID &amp;clsid) const</arglist>
    </member>
    <member kind="variable">
      <type>const hypCLSID *</type>
      <name>m_pCLSID</name>
      <anchor>m0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>PTR_CREATEINSTANCE</type>
      <name>CreateInstance</name>
      <anchor>m1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>std::string</type>
      <name>m_ComponentName</name>
      <anchor>m2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CFlag</name>
    <filename>classCFlag.html</filename>
    <member kind="typedef">
      <type>t_uint</type>
      <name>t_flag</name>
      <anchor>s0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CFlag</name>
      <anchor>a0</anchor>
      <arglist>(const t_size &amp;Pos)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CFlag</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>operator t_flag</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>t_flag</type>
      <name>GetFlag</name>
      <anchor>a3</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetFlag</name>
      <anchor>a4</anchor>
      <arglist>(const t_flag &amp;Flag)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>HaveFlag</name>
      <anchor>a5</anchor>
      <arglist>(const t_flag &amp;Flag) const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CGlobal</name>
    <filename>classCGlobal.html</filename>
    <member kind="function">
      <type></type>
      <name>CGlobal</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~CGlobal</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CGuid</name>
    <filename>classCGuid.html</filename>
    <member kind="function">
      <type></type>
      <name>CGuid</name>
      <anchor>a0</anchor>
      <arglist>(t_ulong, t_ushort, t_ushort, t_uchar, t_uchar, t_uchar, t_uchar, t_uchar, t_uchar, t_uchar, t_uchar)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CGuid</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CGuid</name>
      <anchor>a2</anchor>
      <arglist>(const std::string &amp;)</arglist>
    </member>
    <member kind="function">
      <type>CGuid &amp;</type>
      <name>operator=</name>
      <anchor>a3</anchor>
      <arglist>(const CGuid &amp;Guid)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchor>a4</anchor>
      <arglist>(const CGuid &amp;Guid) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchor>a5</anchor>
      <arglist>(const CGuid &amp;Guid) const</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>ToString</name>
      <anchor>a6</anchor>
      <arglist>(void) const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CRegistryUtility</name>
    <filename>classCRegistryUtility.html</filename>
    <member kind="enumeration">
      <name>ERegistryType</name>
      <anchor>s2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>reg_win32</name>
      <anchor>s2s0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>reg_std</name>
      <anchor>s2s1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CRegistryUtility</name>
      <anchor>a0</anchor>
      <arglist>(ERegistryType=reg_std)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~CRegistryUtility</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RegisterServer</name>
      <anchor>a2</anchor>
      <arglist>(const std::string &amp;, const CGuid &amp;, const std::string &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>UnregisterServer</name>
      <anchor>a3</anchor>
      <arglist>(const CGuid &amp;)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>GetPathInprocessServer</name>
      <anchor>a4</anchor>
      <arglist>(const CGuid &amp;)</arglist>
    </member>
    <member kind="function">
      <type>CGuid</type>
      <name>GetCLSIDFromProgID</name>
      <anchor>a5</anchor>
      <arglist>(const std::string &amp;)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>GetProgIDFromCLSID</name>
      <anchor>a6</anchor>
      <arglist>(const CGuid &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CSmartInterface</name>
    <filename>classCSmartInterface.html</filename>
    <templarg>I</templarg>
    <member kind="function">
      <type></type>
      <name>CSmartInterface</name>
      <anchor>a0</anchor>
      <arglist>(I *pI=NULL)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CSmartInterface</name>
      <anchor>a1</anchor>
      <arglist>(const CSmartInterface&lt; I &gt; &amp;rSI)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~CSmartInterface</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CSmartInterface&lt; I &gt; &amp;</type>
      <name>operator=</name>
      <anchor>a3</anchor>
      <arglist>(I *pI)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>operator I *</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>I *</type>
      <name>operator-&gt;</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>I **</type>
      <name>operator &amp;</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>BOOL</type>
      <name>operator==</name>
      <anchor>a7</anchor>
      <arglist>(I *pI) const</arglist>
    </member>
    <member kind="function">
      <type>BOOL</type>
      <name>operator!=</name>
      <anchor>a8</anchor>
      <arglist>(I *pI) const</arglist>
    </member>
    <member kind="function">
      <type>BOOL</type>
      <name>operator!</name>
      <anchor>a9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="variable" protection="public">
      <type>I *</type>
      <name>m_pI</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CStdImplRegistry</name>
    <filename>classCStdImplRegistry.html</filename>
    <base>IImplRegistry</base>
    <member kind="function">
      <type></type>
      <name>CStdImplRegistry</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SetKey</name>
      <anchor>a1</anchor>
      <arglist>(const std::string &amp;, const std::string &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SetValueNameAndValue</name>
      <anchor>a2</anchor>
      <arglist>(const std::string &amp;, const std::string &amp;, const std::string &amp;, const std::string &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>DeleteKey</name>
      <anchor>a3</anchor>
      <arglist>(const std::string &amp;, const std::string &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual std::string</type>
      <name>GetValueFromValueName</name>
      <anchor>a4</anchor>
      <arglist>(const std::string &amp;, const std::string &amp;, const std::string &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CStdRegistry</name>
    <filename>classCStdRegistry.html</filename>
    <base protection="protected">CDir</base>
    <member kind="function">
      <type></type>
      <name>CStdRegistry</name>
      <anchor>a0</anchor>
      <arglist>(const std::string &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~CStdRegistry</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CStdRegistryFile *</type>
      <name>GetRegistryFile</name>
      <anchor>a2</anchor>
      <arglist>(const std::string &amp;)</arglist>
    </member>
    <member kind="function">
      <type>CStdRegistryFile *</type>
      <name>GetRegistryFile</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>CStdRegistryFile *</type>
      <name>CreateRegistryFile</name>
      <anchor>a4</anchor>
      <arglist>(const std::string &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>DeleteRegistryFile</name>
      <anchor>a5</anchor>
      <arglist>(const std::string &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>IsInRegistry</name>
      <anchor>a6</anchor>
      <arglist>(const std::string &amp;Name)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>GetPathofRegistry</name>
      <anchor>a7</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CStdRegistryFile</name>
    <filename>classCStdRegistryFile.html</filename>
    <member kind="function">
      <type></type>
      <name>CStdRegistryFile</name>
      <anchor>a0</anchor>
      <arglist>(const std::string &amp;, CStdRegistry *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~CStdRegistryFile</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>GetValue</name>
      <anchor>a2</anchor>
      <arglist>(const std::string &amp;) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetValue</name>
      <anchor>a3</anchor>
      <arglist>(const std::string &amp;, const std::string &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetKey</name>
      <anchor>a4</anchor>
      <arglist>(const std::string &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>DeleteKey</name>
      <anchor>a5</anchor>
      <arglist>(const std::string &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CSysException</name>
    <filename>classCSysException.html</filename>
    <base>CException</base>
    <member kind="function">
      <type></type>
      <name>CSysException</name>
      <anchor>a0</anchor>
      <arglist>(const char *=ms_DefaultMessage)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual std::string</type>
      <name>Type</name>
      <anchor>a1</anchor>
      <arglist>(void) const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CTime</name>
    <filename>classCTime.html</filename>
    <member kind="function">
      <type></type>
      <name>CTime</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CTime</name>
      <anchor>a1</anchor>
      <arglist>(t_int64, t_ulong=0)</arglist>
    </member>
    <member kind="function">
      <type>CTime &amp;</type>
      <name>operator+=</name>
      <anchor>a13</anchor>
      <arglist>(const CTime &amp;)</arglist>
    </member>
    <member kind="function">
      <type>CTime &amp;</type>
      <name>operator-=</name>
      <anchor>a14</anchor>
      <arglist>(const CTime &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchor>a15</anchor>
      <arglist>(const CTime &amp;) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchor>a16</anchor>
      <arglist>(const CTime &amp;) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>IsInfinite</name>
      <anchor>a17</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetInfinite</name>
      <anchor>a18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetCurrent</name>
      <anchor>a19</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetCurrentGMT</name>
      <anchor>a20</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetCurrentLocalGMT</name>
      <anchor>a21</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Set</name>
      <anchor>a22</anchor>
      <arglist>(t_ulong, t_ulong, t_ulong, t_ulong=0, t_ulong=0, t_ulong=0, t_ulong=0)</arglist>
    </member>
    <member kind="function">
      <type>t_ulong</type>
      <name>GetExtraMilliSec</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>t_ulong</type>
      <name>GetExtraMicroSec</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>t_ulong</type>
      <name>GetExtraNanoSec</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>t_int64</type>
      <name>GetNanoSec</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>t_int64</type>
      <name>GetMicroSec</name>
      <anchor>a6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>t_int64</type>
      <name>GetMilliSec</name>
      <anchor>a7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>t_int64</type>
      <name>GetSec</name>
      <anchor>a8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>t_int64</type>
      <name>GetMinute</name>
      <anchor>a9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>t_int64</type>
      <name>GetHour</name>
      <anchor>a10</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>t_int64</type>
      <name>GetDay</name>
      <anchor>a11</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>t_int64</type>
      <name>GetWeek</name>
      <anchor>a12</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>t_ulong</type>
      <name>Year</name>
      <anchor>a23</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>t_ulong</type>
      <name>Month</name>
      <anchor>a24</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>t_ulong</type>
      <name>Day</name>
      <anchor>a25</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>t_ulong</type>
      <name>Hour</name>
      <anchor>a26</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>t_ulong</type>
      <name>Minute</name>
      <anchor>a27</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>t_ulong</type>
      <name>Second</name>
      <anchor>a28</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>t_ulong</type>
      <name>NanoSecond</name>
      <anchor>a29</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="friend">
      <type>friend std::ostream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchor>l0</anchor>
      <arglist>(std::ostream &amp;, const CTime &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CUnknown</name>
    <filename>classCUnknown.html</filename>
    <base>INondelegatingUnknown</base>
    <member kind="function">
      <type></type>
      <name>CUnknown</name>
      <anchor>a0</anchor>
      <arglist>(IUnknown *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~CUnknown</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual com_result</type>
      <name>Init</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>FinalRelease</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>com_result</type>
      <name>FinishQI</name>
      <anchor>a7</anchor>
      <arglist>(IUnknown *, void **)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual com_result</type>
      <name>NondelegatingQueryInterface</name>
      <anchor>a2</anchor>
      <arglist>(const hypIID &amp;, void **)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual t_ulong</type>
      <name>NondelegatingAddRef</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual t_ulong</type>
      <name>NondelegatingRelease</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>long</type>
      <name>ActiveComponents</name>
      <anchor>d0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>IUnknown *</type>
      <name>GetOuterUnknown</name>
      <anchor>b0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="variable" protection="public">
      <type>long</type>
      <name>m_cRef</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>IUnknown *</type>
      <name>m_pUnknownOuter</name>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public" static="yes">
      <type>long</type>
      <name>ms_cActiveComponents</name>
      <anchor>q0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CWin32ImplRegistry</name>
    <filename>classCWin32ImplRegistry.html</filename>
    <base>IImplRegistry</base>
    <member kind="function">
      <type></type>
      <name>CWin32ImplRegistry</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~CWin32ImplRegistry</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SetKey</name>
      <anchor>a2</anchor>
      <arglist>(const std::string &amp;, const std::string &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SetValueNameAndValue</name>
      <anchor>a3</anchor>
      <arglist>(const std::string &amp;, const std::string &amp;, const std::string &amp;, const std::string &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>DeleteKey</name>
      <anchor>a4</anchor>
      <arglist>(const std::string &amp;, const std::string &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual std::string</type>
      <name>GetValueFromValueName</name>
      <anchor>a5</anchor>
      <arglist>(const std::string &amp;, const std::string &amp;, const std::string &amp;)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>IClassFactory</name>
    <filename>structIClassFactory.html</filename>
    <base>IUnknown</base>
    <member kind="function" virtualness="pure">
      <type>virtual com_result</type>
      <name>CreateInstance</name>
      <anchor>a0</anchor>
      <arglist>(IUnknown *, const hypIID &amp;, void **)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual com_result</type>
      <name>LockServer</name>
      <anchor>a1</anchor>
      <arglist>(bool)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>IImplRegistry</name>
    <filename>classIImplRegistry.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>SetKey</name>
      <anchor>a0</anchor>
      <arglist>(const std::string &amp;ParentKey, const std::string &amp;Key)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>DeleteKey</name>
      <anchor>a1</anchor>
      <arglist>(const std::string &amp;ParentKey, const std::string &amp;Key)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>SetValueNameAndValue</name>
      <anchor>a2</anchor>
      <arglist>(const std::string &amp;ParentKey, const std::string &amp;Key, const std::string &amp;ValueName, const std::string &amp;Value)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual std::string</type>
      <name>GetValueFromValueName</name>
      <anchor>a3</anchor>
      <arglist>(const std::string &amp;ParentKey, const std::string &amp;Key, const std::string &amp;ValueName)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>INondelegatingUnknown</name>
    <filename>classINondelegatingUnknown.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual com_result</type>
      <name>NondelegatingQueryInterface</name>
      <anchor>a0</anchor>
      <arglist>(const hypIID &amp;, void **)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual t_ulong</type>
      <name>NondelegatingAddRef</name>
      <anchor>a1</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual t_ulong</type>
      <name>NondelegatingRelease</name>
      <anchor>a2</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>IPtr</name>
    <filename>classIPtr.html</filename>
    <templarg>T</templarg>
    <templarg>piid</templarg>
    <member kind="function">
      <type></type>
      <name>IPtr</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IPtr</name>
      <anchor>a1</anchor>
      <arglist>(T *lp)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IPtr</name>
      <anchor>a2</anchor>
      <arglist>(IUnknown *pI)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~IPtr</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Release</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>operator T *</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>operator T *</name>
      <anchor>a6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const T *</type>
      <name>get</name>
      <anchor>a7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>T &amp;</type>
      <name>operator *</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>T **</type>
      <name>operator &amp;</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>T *</type>
      <name>operator-&gt;</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>T *</type>
      <name>operator=</name>
      <anchor>a11</anchor>
      <arglist>(T *pI)</arglist>
    </member>
    <member kind="function">
      <type>T *</type>
      <name>operator=</name>
      <anchor>a12</anchor>
      <arglist>(IUnknown *pI)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const hypIID &amp;</type>
      <name>iid</name>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>CreateInstance</name>
      <anchor>a15</anchor>
      <arglist>(const hypCLSID &amp;clsid, IUnknown *pI, long clsctx=INPROC_SERVER)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>IPtrUnknown</name>
    <filename>classIPtrUnknown.html</filename>
    <member kind="function">
      <type></type>
      <name>IPtrUnknown</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IPtrUnknown</name>
      <anchor>a1</anchor>
      <arglist>(IUnknown *lp)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~IPtrUnknown</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Release</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>operator IUnknown *</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>IUnknown &amp;</type>
      <name>operator *</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>IUnknown **</type>
      <name>operator &amp;</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>IUnknown *</type>
      <name>operator-&gt;</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>IUnknown *</type>
      <name>operator=</name>
      <anchor>a8</anchor>
      <arglist>(IUnknown *pI)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const hypIID &amp;</type>
      <name>iid</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>com_result</type>
      <name>CreateInstance</name>
      <anchor>a11</anchor>
      <arglist>(const hypCLSID &amp;clsid, IUnknown *pI, long clsctx=INPROC_SERVER)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>IUnknown</name>
    <filename>structIUnknown.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual com_result</type>
      <name>QueryInterface</name>
      <anchor>a0</anchor>
      <arglist>(const hypIID &amp;, void **)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual t_ulong</type>
      <name>AddRef</name>
      <anchor>a1</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual t_ulong</type>
      <name>Release</name>
      <anchor>a2</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TArray</name>
    <filename>classTArray.html</filename>
    <templarg>T</templarg>
    <member kind="function">
      <type></type>
      <name>TArray</name>
      <anchor>a0</anchor>
      <arglist>(t_size Capacity, const T &amp;Data=T())</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchor>a1</anchor>
      <arglist>(const T &amp;Data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>show</name>
      <anchor>a2</anchor>
      <arglist>(std::ostream &amp;Stream)</arglist>
    </member>
  </compound>
  <compound kind="page">
    <name>HypRegServer</name>
    <title>HypRegServer</title>
    <filename>HypRegServer</filename>
  </compound>
  <compound kind="group">
    <name>GeneralDef</name>
    <title>General Definitions</title>
    <filename>group__GeneralDef.html</filename>
    <subgroup>GeneralType</subgroup>
    <subgroup>HypPatternDef</subgroup>
    <subgroup>HypDef</subgroup>
  </compound>
  <compound kind="group">
    <name>HypDef</name>
    <title>General Macro Definitions</title>
    <filename>group__HypDef.html</filename>
    <subgroup>DllDef</subgroup>
    <subgroup>NameDef</subgroup>
    <subgroup>CallingDef</subgroup>
    <subgroup>CompiloDef</subgroup>
    <subgroup>PlatformDef</subgroup>
  </compound>
  <compound kind="group">
    <name>HypPatternDef</name>
    <title>Specific Macro Definitions</title>
    <filename>group__HypPatternDef.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>hyp_NAMESPACE_BEGIN_HYPKERNEL</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>hyp_NAMESPACE_END_HYPKERNEL</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>hyp_ADD_NAMESPACE_HYPKERNEL</name>
      <anchor>a2</anchor>
      <arglist>(arg)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>hyp_ker_DLL</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>Core</name>
    <title>Core Compounds</title>
    <filename>group__Core.html</filename>
    <subgroup>CmdInfo</subgroup>
    <subgroup>Trace</subgroup>
    <subgroup>GlobalComp</subgroup>
    <subgroup>Exception</subgroup>
    <subgroup>Assert</subgroup>
    <subgroup>System</subgroup>
  </compound>
  <compound kind="group">
    <name>System</name>
    <title>System Components</title>
    <filename>group__System.html</filename>
    <subgroup>Guid</subgroup>
    <subgroup>Dll</subgroup>
    <subgroup>Registry</subgroup>
    <class kind="class">CDir</class>
    <class kind="class">CTime</class>
  </compound>
  <compound kind="group">
    <name>Registry</name>
    <title>Registry</title>
    <filename>group__Registry.html</filename>
    <subgroup>SysRegistry</subgroup>
    <subgroup>StdRegistry</subgroup>
    <class kind="class">CRegistryUtility</class>
    <class kind="class">IImplRegistry</class>
  </compound>
  <compound kind="group">
    <name>StdRegistry</name>
    <title>Standard Registry</title>
    <filename>group__StdRegistry.html</filename>
    <class kind="class">CStdImplRegistry</class>
    <class kind="class">CStdRegistry</class>
    <class kind="class">CStdRegistryFile</class>
  </compound>
  <compound kind="group">
    <name>SysRegistry</name>
    <title>Win32 Registry</title>
    <filename>group__SysRegistry.html</filename>
    <class kind="class">CWin32ImplRegistry</class>
  </compound>
  <compound kind="group">
    <name>Dll</name>
    <title>Dynamic Linking Library - DLL</title>
    <filename>group__Dll.html</filename>
    <class kind="class">CDllUtility</class>
    <member kind="enumeration">
      <name>EDllReason</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>dll_attach</name>
      <anchor>a1a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>dll_detach</name>
      <anchor>a1a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>typedef</type>
      <name>void</name>
      <anchor>a0</anchor>
      <arglist>(hyp_CALL_CONV *PTR_INITLIBRARY)(const std</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>Guid</name>
    <title>General Universal ID - GUID</title>
    <filename>group__Guid.html</filename>
    <class kind="class">CGuid</class>
    <member kind="define">
      <type>#define</type>
      <name>hyp_DEFINE_GUID</name>
      <anchor>a1</anchor>
      <arglist>(Name, Data1, Data2, Data3,Data4_0, Data4_1, Data4_2, Data4_3, Data4_4, Data4_5, Data4_6, Data4_7)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>hyp_DEFINE_IID</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>hyp_DEFINE_CLSID</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>CGuid</type>
      <name>hypCLSID</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>CGuid</type>
      <name>hypIID</name>
      <anchor>a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>CGuid</type>
      <name>hypGUID</name>
      <anchor>a6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>Assert</name>
    <title>Assert</title>
    <filename>group__Assert.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>hyp_ASSERT</name>
      <anchor>a1</anchor>
      <arglist>(Condition)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>hyp_FATAL</name>
      <anchor>a2</anchor>
      <arglist>(Msg)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>hyp_NOTIFY</name>
      <anchor>a3</anchor>
      <arglist>(Msg)</arglist>
    </member>
    <member kind="enumeration">
      <name>EMessageType</name>
      <anchor>a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>notify</name>
      <anchor>a4a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>fatal</name>
      <anchor>a4a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>assertion</name>
      <anchor>a4a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Message</name>
      <anchor>a0</anchor>
      <arglist>(const std::string &amp;Message, EMessageType MessageType)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>Exception</name>
    <title>Exceptions</title>
    <filename>group__Exception.html</filename>
    <subgroup>ComException</subgroup>
    <class kind="class">CException</class>
    <class kind="class">CSysException</class>
    <member kind="define">
      <type>#define</type>
      <name>hyp_THROW</name>
      <anchor>a0</anchor>
      <arglist>(Exception)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>hyp_THROW2</name>
      <anchor>a1</anchor>
      <arglist>(Exception, Args)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>hyp_THROW_COM2</name>
      <anchor>a2</anchor>
      <arglist>(Result, Args)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>hyp_THROW_COM</name>
      <anchor>a3</anchor>
      <arglist>(Result)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>ComException</name>
    <title>Component Exceptions</title>
    <filename>group__ComException.html</filename>
    <class kind="class">CComException</class>
    <member kind="enumeration">
      <name>com_result</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>Succeeded</name>
      <anchor>a0</anchor>
      <arglist>(com_result Result)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>Failed</name>
      <anchor>a1</anchor>
      <arglist>(com_result Result)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>GlobalComp</name>
    <title>Global Components</title>
    <filename>group__GlobalComp.html</filename>
    <class kind="class">CGlobal</class>
    <member kind="function">
      <type>std::string</type>
      <name>GetLastSysError</name>
      <anchor>a2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>GetLibraryVersion</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="variable">
      <type>std::fstream &amp;</type>
      <name>cerr</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>std::fstream &amp;</type>
      <name>clog</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>Trace</name>
    <title>Trace</title>
    <filename>group__Trace.html</filename>
    <subgroup>StringTrace</subgroup>
    <member kind="define">
      <type>#define</type>
      <name>hyp_TRACE_SET_FILE</name>
      <anchor>a6</anchor>
      <arglist>(Stream)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>hyp_TRACE</name>
      <anchor>a7</anchor>
      <arglist>(args)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>hyp_TRACE_BEGIN</name>
      <anchor>a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>hyp_TRACE_DO</name>
      <anchor>a9</anchor>
      <arglist>(Args)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>hyp_TRACE_END</name>
      <anchor>a10</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>std::ostream &amp;</type>
      <name>GetTraceStream</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetTraceStream</name>
      <anchor>a2</anchor>
      <arglist>(std::ostream &amp;Stream)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>Begin</name>
      <anchor>a3</anchor>
      <arglist>(const char *File, int Line)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>End</name>
      <anchor>a4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>Print</name>
      <anchor>a5</anchor>
      <arglist>(const char *Msg,...)</arglist>
    </member>
    <member kind="variable">
      <type>std::ostream &amp;</type>
      <name>gs_TraceStream</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>StringTrace</name>
    <title>Trace in Standard Strings</title>
    <filename>group__StringTrace.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>hyp_STRING_TRACE</name>
      <anchor>a0</anchor>
      <arglist>(String, Args)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>hyp_STRING_BEGIN</name>
      <anchor>a1</anchor>
      <arglist>(String)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>hyp_STRING_DO</name>
      <anchor>a2</anchor>
      <arglist>(String, Args)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>hyp_STRING_END</name>
      <anchor>a3</anchor>
      <arglist>(String)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>CmdInfo</name>
    <title>Command Line Info</title>
    <filename>group__CmdInfo.html</filename>
    <class kind="class">CCmdInfo</class>
    <class kind="class">CCmdInfoArg</class>
    <class kind="class">CCmdInfoData</class>
    <class kind="class">CCmdInfoLabel</class>
    <class kind="class">CCmdInfoLabelEnum</class>
  </compound>
  <compound kind="group">
    <name>Component</name>
    <title>Hyperion Components</title>
    <filename>group__Component.html</filename>
    <subgroup>StdCompound</subgroup>
    <subgroup>PrimaryInterface</subgroup>
    <subgroup>ExportedFunctions</subgroup>
    <subgroup>SmartPointer</subgroup>
    <member kind="typedef">
      <type>int</type>
      <name>hypSERVERINFO</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>com_result</type>
      <name>hypGetPathInprocessServer</name>
      <anchor>a2</anchor>
      <arglist>(const CGuid &amp;Guid, std::string &amp;PathInprocess)</arglist>
    </member>
    <member kind="function">
      <type>com_result</type>
      <name>GetClassObject</name>
      <anchor>a3</anchor>
      <arglist>(const hypCLSID &amp;clsid, t_ulong ClsContext, hypSERVERINFO *pServerInfo, const hypIID &amp;iid, void **ppv)</arglist>
    </member>
    <member kind="function">
      <type>com_result</type>
      <name>CreateInstance</name>
      <anchor>a4</anchor>
      <arglist>(const hypCLSID &amp;clsid, IUnknown *pUnknownOuter, t_ulong ClsContext, const hypIID &amp;iid, void **ppv)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>FreeUnusedLibraries</name>
      <anchor>a5</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetLoadedLibraries</name>
      <anchor>a6</anchor>
      <arglist>(std::ostream &amp;Stream)</arglist>
    </member>
    <member kind="variable">
      <type>const t_ulong</type>
      <name>INPROC_SERVER</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>SmartPointer</name>
    <title>Smart-Pointers</title>
    <filename>group__SmartPointer.html</filename>
    <class kind="class">CSmartInterface</class>
    <class kind="class">IPtr</class>
    <class kind="class">IPtrUnknown</class>
  </compound>
  <compound kind="group">
    <name>ExportedFunctions</name>
    <title>Exported Functions</title>
    <filename>group__ExportedFunctions.html</filename>
    <member kind="function">
      <type>typedef</type>
      <name>com_result</name>
      <anchor>a0</anchor>
      <arglist>(hyp_CALL_CONV *PTR_HYPDLLGETCLASSOBJECT)(const CGuid &amp;CLSID, const CGuid &amp;IID, void **ppv)</arglist>
    </member>
    <member kind="function">
      <type>typedef</type>
      <name>com_result</name>
      <anchor>a1</anchor>
      <arglist>(hyp_CALL_CONV *PTR_HYPDLLCANUNLOADNOW)(void)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>PrimaryInterface</name>
    <title>Primary Interfaces</title>
    <filename>group__PrimaryInterface.html</filename>
    <class kind="struct">IClassFactory</class>
    <class kind="struct">IUnknown</class>
  </compound>
  <compound kind="group">
    <name>StdCompound</name>
    <title>Standard Compounds</title>
    <filename>group__StdCompound.html</filename>
  </compound>
  <compound kind="group">
    <name>PlatformDef</name>
    <title>Platforms Definitions</title>
    <filename>group__PlatformDef.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>hyp_WIN32</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>hyp_RELEASE</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>CompiloDef</name>
    <title>Compiler Definitions</title>
    <filename>group__CompiloDef.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>hyp_VC</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>CallingDef</name>
    <title>Calling Conventions</title>
    <filename>group__CallingDef.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>hyp_CALL_CONV</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>NameDef</name>
    <title>Namespaces</title>
    <filename>group__NameDef.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>hyp_NAMESPACE_BEGIN</name>
      <anchor>a0</anchor>
      <arglist>(n)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>hyp_NAMESPACE_END</name>
      <anchor>a1</anchor>
      <arglist>(n)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>hyp_NAMESPACE_BEGIN_HYP</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>hyp_NAMESPACE_END_HYP</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>DllDef</name>
    <title>Exportation Definitions</title>
    <filename>group__DllDef.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>hyp_EXPORT_DLL</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>hyp_IMPORT_DLL</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>GeneralType</name>
    <title>General Types</title>
    <filename>group__GeneralType.html</filename>
    <subgroup>Int64Type</subgroup>
    <subgroup>ArrayType</subgroup>
    <subgroup>RealType</subgroup>
    <class kind="class">CFlag</class>
    <member kind="typedef">
      <type>int</type>
      <name>t_label</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned int</type>
      <name>t_size</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned short int</type>
      <name>t_ushort</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned char</type>
      <name>t_uchar</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned long int</type>
      <name>t_ulong</name>
      <anchor>a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned int</type>
      <name>t_uint</name>
      <anchor>a5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>RealType</name>
    <title>Reals</title>
    <filename>group__RealType.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>hyp_USE_DOUBLE</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>double</type>
      <name>t_real</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>ArrayType</name>
    <title>Arrays</title>
    <filename>group__ArrayType.html</filename>
    <class kind="class">TArray</class>
    <member kind="typedef">
      <type>TArray&lt; t_real &gt;</type>
      <name>t_real_array</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TArray&lt; bool &gt;</type>
      <name>t_mask_array</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TArray&lt; t_label &gt;</type>
      <name>t_label_array</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::vector&lt; t_label &gt;</type>
      <name>t_label_enum</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>Int64Type</name>
    <title>64 bits Integers</title>
    <filename>group__Int64Type.html</filename>
    <member kind="typedef">
      <type>signed __int64</type>
      <name>t_int64</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>t_int64</type>
      <name>GetInt64</name>
      <anchor>a1</anchor>
      <arglist>(t_uint High, t_uint Low)</arglist>
    </member>
    <member kind="function">
      <type>t_uint</type>
      <name>GetHighInt64</name>
      <anchor>a2</anchor>
      <arglist>(t_int64)</arglist>
    </member>
    <member kind="function">
      <type>t_uint</type>
      <name>GetLowInt64</name>
      <anchor>a3</anchor>
      <arglist>(t_int64)</arglist>
    </member>
    <member kind="function">
      <type>std::ostream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchor>a4</anchor>
      <arglist>(std::ostream &amp;, const t_int64 &amp;)</arglist>
    </member>
  </compound>
</tagfile>
