/*
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
 Hyperion Pattern.
 Hyperion Pattern is a part of the Hyperion Project.
----------------------------------------------------------
 Copyright (c) 2001 Pierre Rebours.

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 
 See hyp.license.txt file for more information about the license.
 
 Web: http://lagrandeporte.multimania.com/hyperion
 Email: pierre_rebours@yahoo.com
----------------------------------------------------------
 CVS
 $Log$
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
*/

#include"hyp.ker.ex.h"

void DirTest(void)
{
	try{
	hyp_ker::CDir dir;
	dir.Open("c:\\");
	dir.Rewind();
	try {
		while(1) {
			hyp_ker::clog<<dir.Search();
			hyp_ker::clog<<" - "<<dir.IsSubDir()<<"\n";
		}
	} catch(hyp_ker::CException exep) {

	}

	dir.Open("c:\\the\\matrix\\has\\you",true);
	} catch(hyp_ker::CException excep) {
		hyp_ker::clog<<"Exception:\n"<<excep.What();
	}
}