/*
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
 Hyperion Pattern.
 Hyperion Pattern is a part of the Hyperion Project.
----------------------------------------------------------
 Copyright (c) 2001 Pierre Rebours.

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 
 See hyp.license.txt file for more information about the license.
 
 Web: http://lagrandeporte.multimania.com/hyperion
 Email: pierre_rebours@yahoo.com
----------------------------------------------------------
 CVS
 $Log$
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
*/


/*! \file hyp.kernel.h
Includes necessary headers to manipulate the Hyperion Components. If you don't want using
the notion of component, include only hyp.kernel.core.h file.
*/

#ifndef _hyp_kernel_h_
#define _hyp_kernel_h_

/*!
Avoids wrong file inclusion. See \ref hyp_KERNEL_CORE_INSIDE.
*/
#define hyp_KERNEL_INSIDE

#include"hyp.kernel.core.h"

hyp_NAMESPACE_BEGIN_HYPKERNEL
	#include"hyp.ker.interfaces.h"
	#include"hyp.ker.objbase.h"
	#include"hyp.std.smart_pointer.h"
	#include"hyp.std.smart_pointercom.h"
hyp_NAMESPACE_END_HYPKERNEL

namespace hyp_ker=::hyp::ker;


#endif